Merge lp:~bladernr/checkbox/1103343-rendercheck-test-fix into lp:checkbox

Proposed by Jeff Lane 
Status: Merged
Approved by: Daniel Manrique
Approved revision: 1902
Merged at revision: 1901
Proposed branch: lp:~bladernr/checkbox/1103343-rendercheck-test-fix
Merge into: lp:checkbox
Diff against target: 47 lines (+6/-2)
3 files modified
debian/changelog (+4/-1)
jobs/rendercheck.txt.in (+1/-1)
scripts/rendercheck_test (+1/-0)
To merge this branch: bzr merge lp:~bladernr/checkbox/1103343-rendercheck-test-fix
Reviewer Review Type Date Requested Status
Daniel Manrique (community) Approve
Review via email: mp+144590@code.launchpad.net

Description of the change

Jeffrey Chang noticed that when rendercheck_test is run on a system without rendercheck installed, checkbox still records a passing error. This appears to be because rendercheck_test depended on the errno module, but that module was never imported. This MR adds the missing import for errno which resolves the issue, causing rendercheck to exit with a fail code properly if rendercheck is not present on the SUT.

Additionally, I've reworded the command definition to properly return a fail code if rendercheck fails to run or exits with errors.

To post a comment you must log in.
Revision history for this message
Daniel Manrique (roadmr) wrote :

Short and sweet. I checked the shell logic with some dummy commands, and I agree on the errno inclusion. I guess the original author didn't test on a system *without* rendercheck :)

Anyway, merging.

review: Approve

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
=== modified file 'debian/changelog'
--- debian/changelog 2013-01-22 20:06:57 +0000
+++ debian/changelog 2013-01-23 21:33:23 +0000
@@ -8,6 +8,9 @@
8 [ Jeff Lane ]8 [ Jeff Lane ]
9 * jobs/monitor.txt.in - added new job monitor/multi-head to test mulitple9 * jobs/monitor.txt.in - added new job monitor/multi-head to test mulitple
10 displays on desktops. 10 displays on desktops.
11 * scripts/rendercheck_test - added missing import for errno (LP: #1103343)
12 jobs/rendercheck.txt.in - fixed command string to report the correct exit
13 code to checkbox
11 14
12 [ Brendan Donegan ]15 [ Brendan Donegan ]
13 * jobs/bluetooth.txt.in, jobs/suspend.txt.in - unblock Bluetooth hardware16 * jobs/bluetooth.txt.in, jobs/suspend.txt.in - unblock Bluetooth hardware
@@ -21,7 +24,7 @@
21 in config file in the event the system under test does not have internet24 in config file in the event the system under test does not have internet
22 access. Updated jobs/virtualization.txt.in25 access. Updated jobs/virtualization.txt.in
2326
24 -- Jeff Marcom <jeff.marcom@ubuntu.com> Wed, 09 Jan 2013 16:40:02 -050027 -- Jeff Marcom <jeff.marcom@ubuntu.com> Wed, 23 Jan 2013 16:30:22 -0500
2528
26checkbox (0.15) raring; urgency=low29checkbox (0.15) raring; urgency=low
2730
2831
=== modified file 'jobs/rendercheck.txt.in'
--- jobs/rendercheck.txt.in 2012-09-23 16:51:13 +0000
+++ jobs/rendercheck.txt.in 2013-01-23 21:33:23 +0000
@@ -2,7 +2,7 @@
2name: rendercheck/tests2name: rendercheck/tests
3requires:3requires:
4 package.name == 'x11-apps'4 package.name == 'x11-apps'
5command: rendercheck_test -d -o $CHECKBOX_DATA/rendercheck-results && echo "Rendercheck tests completed successfully" || echo "Rendercheck completed, but there are errors. Please see the log $CHECKBOX_DATA/rendercheck-results for details"5command: ( rendercheck_test -d -o $CHECKBOX_DATA/rendercheck-results && echo "Rendercheck tests completed successfully" ) || ( echo "Error running rendercheck. Please see the log $CHECKBOX_DATA/rendercheck-results for details" >&2 && false )
6_description:6_description:
7 Runs all of the rendercheck test suites. This test can take a few minutes.7 Runs all of the rendercheck test suites. This test can take a few minutes.
88
99
=== modified file 'scripts/rendercheck_test'
--- scripts/rendercheck_test 2012-09-12 12:16:52 +0000
+++ scripts/rendercheck_test 2013-01-23 21:33:23 +0000
@@ -29,6 +29,7 @@
29import os29import os
30import re30import re
31import tempfile31import tempfile
32import errno
3233
3334
34class RenderCheck(object):35class RenderCheck(object):

Subscribers

People subscribed via source and target branches